#import "CalcController.h"

@implementation CalcController

- (IBAction)clear:(id)sender
{
    x = 0;

    [self displayX];
}

- (IBAction)clearAll:(id)sender
{
    x         = 0;
    y         = 0;
    yFlag     = NO;
    enterFlag = NO;

    [self displayX];
}

- (IBAction)digit:(id)sender
{
    if ( enterFlag )
    {
        y         = x;
        x         = 0;
        enterFlag = NO;
    }

    x = (10.0*x) + [[sender selectedCell] tag];

    [self displayX];
}

- (IBAction) operation: (id)sender
{
    if ( yFlag )
    {
        switch ( operation )
        {
            case OP_PLUS:
                x = y + x;
                break;

            case OP_MINUS:
                x = y - x;
                break;

            case OP_MULT:
                x = y * x;
                break;

            case OP_DIV:
                x = y / x;
                break;
        }
    }

    y         = x;
    yFlag     = YES;
    operation = [[sender selectedCell] tag];
    enterFlag = YES;

    [self displayX];
}

- (void) displayX
{
    NSString * str = [NSString stringWithFormat: @"%15.10g", x];

    [text setStringValue: str];
}

- (IBAction) invSign: (id) sender
{
    x = -x;
    
    [self displayX];
}

@end
